unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient,
  StdCtrls;

type
  TForm1 = class(TForm)
    txtMessage: TEdit;
    Button1: TButton;
    txtResults: TMemo;
    IdTCPClient1: TIdTCPClient;
    Label1: TLabel;
    txtServer: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  //Соединяется с сервером и посылаем ему введенную строку
  IdTCPClient1.Host := txtServer.Text;
  IdTCPClient1.Connect;
  IdTCPClient1.WriteLn(txtMessage.Text);
  txtMessage.Text := '';
  //Ожидаем ответ и закрываем соединение
  txtResults.Lines.Append(IdTCPClient1.ReadLn);
  IdTCPClient1.Disconnect;
end;

end.
